Subject: Re: [P2PSIP] Relax base-15 section 10.2 language

From: Cullen Jennings <[email-masked]>
Date: Thu, 7 Jul 2011 16:34:23 -0600

I agree - that was the intent and the later text more or less says that. I have fixed this to be consistent with the later text. 

On Jun 11, 2011, at 12:25 AM, Michael Chen wrote:

> Hi,
> 
> Section 10.2, second paragraph says, "The node first determines the
> overlay name. This value is provided by the user or some other out of
> band provisioning mechanism. The out of band mechanisms may also provide
> an optional URL for the configuration server."
> 
> I believe the first sentence should be relaxed as "The node MAY first
> determines the overlay name." A node should be allowed to start with
> nothing but an arbitrary (out-of-band) URL to the configuration server,
> and that the overlay name will be whatever retrieved in the
> configuration XML. This practice also means the node need not query the
> DNS or construct the "/.well-known/p2psip-enroll" URL.
> 
> For example, someone send you an email with a configuration URL. You
> just click on that URL to join the overlay that someone setup. That
> overlay name could be a 200 character hex string that would be very
> painful to type in.
> 
> Thanks
> 
> --Michael
> 
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip